Subject: Re: [PATCHv3] submodule: Port resolve_relative_url from shell to C

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Jan 2016 08:58:13 -0800

Johannes Sixt <[email-masked]> writes:

> Am 13.01.2016 um 01:10 schrieb Stefan Beller:
>> Later on we want to deprecate the `git submodule init` command and make
>> it implicit in other submodule commands. As these other commands are
>> written in C already, we'd need the init functionality in C, too.
>> The `resolve_relative_url` function is a major part of that init
>> functionality, so start by porting this function to C.
>
> Maybe tone down the word "major" to "a large and non-trivial function"?
> Otherwise, the lack of proof for the claim is irritating. (As we saw,
> the savings with the port to C are not breath-taking. But we have to
> start somewhere.)
> ...

All good suggestions.  Thanks for a low latency review.  Very much
appreciated.